Posteo Help Help categories Article

This article is tagged with: WebmailEncryption

Why do I need to update or replace my Internet Explorer (7 or 8)?

If you still use Internet Explorer 7 or 8, we ask you to update as soon as possible, or switch to a different browser. For security reasons, Posteo will soon switch off an outdated encryption algorithm – and only support current web standards. If you do not update your browser by then, you will not be able to access Posteo or, at the very least, not be able to use it to its full extent (depending on your operating system).

Windows XP

The Windows XP operating system is very much outdated and is no longer supplied with updates from Microsoft. For this operating system, newer versions of Internet Explorer are, unfortunately, no longer available. You can, however, transfer to different browsers. We recommend using the current version of Firefox.

Windows Vista

To install a more current version of Internet Explorer, please use the Windows update function on your device.

Windows 7

To install a more current version of Internet Explorer, please use the Windows update function on your device.